Close person representation
Use case
In the Tuum environment, to remove the representative from a legal or another private person, you can close the representation rights. Once the representation is closed, the representative loses their rights.
Removing the representation rights with the personRelationshipId ID-1003 from the parentPerson (legal person with the personId ID-3394).
.../persons/ID-3394/relations/closing/ID-1003
To remove the representation rights, you can use the personId of the parent (legal person) or representative (dependant private person).
Sample API call
To close the person representation, make the following call.
https://person-api.sandbox.tuumplatform.com/api/v1/persons/{personId}/relations/closing/{personRelationshipId}
Learn more about the close person representation endpoint in the Tuum developer portal.
Sample request
Below is an example request of the API call to close the person representation rights.
No request body.
curl -L -X POST 'https://person-api.sandbox.tuumplatform.com/api/v1/persons/ID-3392/relations/closing/ID-1002' \
-H 'x-channel-code: system' \
-H 'x-auth-token: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHBpcnlEVGltZSI6IjIwMjMtMDYtMTlUMTY6MjA6MDIiLCJyb2xlcyI6WyJBRE1JTiJdLCJuYW1lIjoiSm9obiBPZmZpY2VyIiwiZW1wbG95ZWVJZCI6IjEiLCJ0ZW5hbnRDb2RlIjoiTUIiLCJleHAiOjE2ODcxOTE2MDJ9.VDHNExXmgRmLvyx_ChTO2iOrwl7WaLRaTNe_T_A47rk' \
-d ''Sample response
Below you will find an example response to the API call from above.
Response
{
"errors": null,
"validationErrors": null,
"data": {
"personRelationshipId": "ID-1003",
"parentPersonId": "ID-3394",
"personId": "ID-3392",
"relationTypeCode": "REPRESENTATIVE",
"statusCode": "CLOSING",
"role": null,
"percentageOfShares": null,
"percentageOfSignature": null,
"beneficiary": true,
"representingRange": {
"startDate": "2023-06-06",
"endDate": "2023-06-13"
},
"additionalData": null,
"validityRange": {
"startTime": "2023-06-14T21:32:09.684826Z",
"endTime": "2023-06-14T21:38:29.637157Z"
},
"parentIdNumber": null,
"personIdNumber": null,
"parent": {
"personId": "ID-3394",
"personTypeCode": "L",
"statusCode": "ACTIVE",
"statusCodeReason": null,
"name": "New company Ltd",
"givenName": null,
"middleName": null,
"surname": null,
"birthDate": null,
"creationDate": "2023-06-13",
"deathDate": null,
"liquidationDate": null,
"inactivationDate": null,
"registrationDate": null,
"sex": null,
"email": null,
"customerTypeCode": null,
"nationality": null,
"taxResidencyCountry": null,
"placeOfBirth": null,
"countryOfBirth": null,
"phoneCountryCode": null,
"phoneNumber": null,
"idNumber": "120045",
"idCountryCode": "GB",
"residencyCountryCode": null,
"language": null,
"educationCode": null,
"activityCode": null,
"housingTypeCode": null,
"buildingTypeCode": null,
"moveInDate": null,
"maritalStatusCode": null,
"dependantPersons": null,
"employmentTimeCode": null,
"fixedEmploymentLength": null,
"businessAreaCode": null,
"intraOrgCode": null,
"tradingName": null,
"webAddress": null,
"pepExplanation": null,
"legalForm": null,
"businessModelDescription": null,
"counterpartySectorCode": null,
"forgotten": null,
"usResident": false,
"pep": false,
"source": null,
"tenantCode": "MB",
"fullName": "New company Ltd"
},
"person": {
"personId": "ID-3392",
"personTypeCode": "P",
"statusCode": "ACTIVE",
"statusCodeReason": null,
"name": null,
"givenName": "Trevor",
"middleName": "Harry",
"surname": "Tuum",
"birthDate": null,
"creationDate": "2023-06-01",
"deathDate": null,
"liquidationDate": null,
"inactivationDate": null,
"registrationDate": null,
"sex": null,
"email": null,
"customerTypeCode": null,
"nationality": null,
"taxResidencyCountry": null,
"placeOfBirth": "Alabama",
"countryOfBirth": null,
"phoneCountryCode": null,
"phoneNumber": null,
"idNumber": "DQ654327C",
"idCountryCode": "GB",
"residencyCountryCode": null,
"language": null,
"educationCode": null,
"activityCode": null,
"housingTypeCode": null,
"buildingTypeCode": null,
"moveInDate": null,
"maritalStatusCode": null,
"dependantPersons": null,
"employmentTimeCode": null,
"fixedEmploymentLength": null,
"businessAreaCode": null,
"intraOrgCode": null,
"tradingName": null,
"webAddress": null,
"pepExplanation": null,
"legalForm": null,
"businessModelDescription": null,
"counterpartySectorCode": null,
"forgotten": null,
"usResident": false,
"pep": false,
"source": null,
"tenantCode": "MB",
"fullName": "Trevor Tuum"
}
}
}Result
The person representation is set to the CLOSING status.
Initially, the representation is set to the CLOSING status. The Tuum system automatically updates the representation to the CLOSED status.
Last updated
Was this helpful?